# Created by pyp2rpm-3.2.1
%global pypi_name pyp2rpm

Name:           %{pypi_name}
Version:        3.3.10
Release:        %mkrel 3
Summary:        Convert Python packages to RPM SPECFILES
Group:          Development/Python

License:        MIT
URL:            https://github.com/fedora-python/pyp2rpm
Source0:	https://github.com/fedora-python/pyp2rpm/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

Patch500:	pyp2rpm-mageia.patch

BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(scripttest)
BuildRequires:  vex

Requires:       python3-rpm
Requires:       rpmdevtools
Provides:       python3-%{pypi_name} = %{version}-%{release}

%description
Convert Python packages to RPM SPECFILES. The packages can be downloaded from
PyPI and the produced SPEC is in line with Fedora 201x-era Python Packaging
Guidelines or Mageia Python Policy.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
# TestMetadataExtractor requires Python 2 setuptools
PYTHONPATH="." py.test-3 -vv -m "not webtest" -k "not TestMetadataExtractor"

%files -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/pyp2rpm


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.3.10-3.mga10
+ Revision: 2243719
- Mageia 10 Mass Rebuild

* Sun Mar 09 2025 daviddavid <daviddavid> 3.3.10-2.mga10
+ Revision: 2162162
- rebuild for python 3.13

* Sun Dec 10 2023 wally <wally> 3.3.10-1.mga10
+ Revision: 2016814
- new version 3.3.10
- use pyproject rpm macros
- rebuild for py3.12

* Tue May 24 2022 wally <wally> 3.3.8-1.mga9
+ Revision: 1860062
- new version 3.3.8

* Tue Mar 29 2022 umeabot <umeabot> 3.3.7-3.mga9
+ Revision: 1833217
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 3.3.7-2.mga9
+ Revision: 1774341
- Rebuild for python 3.10

* Fri Aug 27 2021 wally <wally> 3.3.7-1.mga9
+ Revision: 1742748
- new version 3.3.7
- add mageia to rpm rich dep blacklist

* Sun Aug 15 2021 wally <wally> 3.3.6-2.mga9
+ Revision: 1741507
- require pip

* Wed Mar 24 2021 kekepower <kekepower> 3.3.6-1.mga9
+ Revision: 1708857
- Update to version 3.3.6

* Sun Mar 14 2021 wally <wally> 3.3.5-3.mga9
+ Revision: 1702839
- rebuild for python 3.9

* Sat Feb 27 2021 wally <wally> 3.3.5-2.mga9
+ Revision: 1692860
- add latest patches/fixes from upstream git

* Tue Nov 24 2020 shlomif <shlomif> 3.3.5-1.mga8
+ Revision: 1648971
- New version 3.3.5

* Thu Apr 09 2020 kekepower <kekepower> 3.3.4-1.mga8
+ Revision: 1565875
- Update to version 3.3.4

* Sun Feb 16 2020 umeabot <umeabot> 3.3.3-2.mga8
+ Revision: 1530998
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 3.3.3-1.mga8
+ Revision: 1438362
- new version 3.3.3
- rebuild for python3.8

* Tue Jan 08 2019 tv <tv> 3.3.2-5.mga7
+ Revision: 1352083
- rebuild with python 3.7

* Mon Jan 07 2019 wally <wally> 3.3.2-4.mga7
+ Revision: 1350610
- another rebuild for python3.7

* Sun Jan 06 2019 shlomif <shlomif> 3.3.2-3.mga7
+ Revision: 1350144
- rebuild for py3.7
+ wally <wally>
- require rpmdevtools

* Thu Sep 20 2018 umeabot <umeabot> 3.3.2-2.mga7
+ Revision: 1288187
- Mageia 7 Mass Rebuild

* Fri May 11 2018 shlomif <shlomif> 3.3.2-1.mga7
+ Revision: 1228322
- New version 3.3.2

* Tue Mar 20 2018 ngompa <ngompa> 3.3.1-1.mga7
+ Revision: 1210716
- Update to v3.3.1, drop upstreamed patch

* Sat Mar 17 2018 ngompa <ngompa> 3.3.0-2.mga7
+ Revision: 1210142
- Add patch proposed upstream to update template to match policy for Mageia 7

* Fri Dec 22 2017 wally <wally> 3.3.0-1.mga7
+ Revision: 1183790
- new version 3.3.0
- obsolete pkgs coming from python-pyp2rpm src.rpm
- add patch from python-pyp2rpm to default mageia packages

* Thu Oct 05 2017 daviddavid <daviddavid> 3.2.2-4.mga7
+ Revision: 1168971
- add missing BR on python3dist(pytest-runner) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 3.2.2-3.mga7
+ Revision: 1135293
- Rebuild for python 3.6

* Mon Jul 17 2017 shlomif <shlomif> 3.2.2-2.mga7
+ Revision: 1124519
- update to git master

* Thu Mar 23 2017 shlomif <shlomif> 3.2.2-1.mga6
+ Revision: 1094650
- Packaging fixes
- Importing pyp2rpm


* Thu Mar 23 2017 John Doe <john@doe.com> - 3.2.2-1
- Initial package.
